%bcond_with libr
%bcond_with php

# Do not check any files in docdir for requires
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%define arch_has_java	1
%ifarch %arm aarch64
%define arch_has_java	0
%endif

%define cdt_major	5
%define cgraph_major	6
%define graph_major	5
%define gvc_major	6
%define gvpr_major	2
%define pathplan_major	4
%define xdot_major	4

%define lib_cdt		%mklibname cdt %{cdt_major}
%define lib_cgraph	%mklibname cgraph %{cgraph_major}
%define lib_gvc		%mklibname gvc %{gvc_major}
%define lib_gvpr	%mklibname gvpr %{gvpr_major}
%define lib_pathplan	%mklibname pathplan %{pathplan_major}
%define lib_xdot	%mklibname xdot %{xdot_major}
%define develname	%mklibname graphviz -d
%define staticname	%mklibname graphviz -d -s

Summary:	Graph visualization tools
Name:		graphviz
Version:	12.1.1
Release:	%mkrel 1
Group:		Graphics/Utilities
License:	EPL
URL:		https://www.graphviz.org/
Source0:	https://gitlab.com/%{name}/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	byacc
BuildRequires:	bison >= 2.3
BuildRequires:	flex >= 2.5.4a
BuildRequires:	swig >= 1.3.29
BuildRequires:	pkgconfig(IL)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.7.0
BuildRequires:	pkgconfig(gtkgl-2.0)
BuildRequires:	pkgconfig(gtkglext-1.0)
BuildRequires:	pkgconfig(guile-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(pangocairo) >= 1.14.9
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(gdlib) >= 2.0.34
BuildRequires:	gettext-devel >= 0.14.5
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	libtool
BuildRequires:	libltdl-devel
BuildRequires:	pkgconfig(libpng) >= 1.2.10
BuildRequires:	pkgconfig(zlib) >= 1.2.3
BuildRequires:	pkgconfig(expat) >= 2.0.0
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(gts)
BuildRequires:	groff
BuildRequires:	groff-for-man
BuildRequires:	ghostscript
BuildRequires:	ghostscript-devel
BuildRequires:	qpdf

Provides:	dot = %{version}-%{release}
Obsoletes:	graphviz-gtk2 < 10.0.1-2
Provides:	graphviz-gtk2 = %{version}-%{release}

%description
A collection of tools for the manipulation and layout
of graphs (as in nodes and edges, not as in barcharts).


%files
%doc README.md
%license LICENSE
%{_bindir}/acyclic
%{_bindir}/bcomps
%{_bindir}/ccomps
%{_bindir}/circo
%{_bindir}/cluster
%{_bindir}/diffimg
%{_bindir}/dijkstra
%{_bindir}/dot
%{_bindir}/dot2gxl
%{_bindir}/edgepaint
%{_bindir}/fdp
%{_bindir}/gc
%{_bindir}/gml2gv
%{_bindir}/graphml2gv
%{_bindir}/gv2gml
%{_bindir}/gv2gxl
%{_bindir}/gvcolor
%{_bindir}/gvedit
%{_bindir}/gvgen
%{_bindir}/gvmap
%{_bindir}/gvmap.sh
%{_bindir}/gvpack
%{_bindir}/gvpr
%{_bindir}/gxl2dot
%{_bindir}/gxl2gv
%{_bindir}/mm2gv
%{_bindir}/neato
%{_bindir}/nop
%{_bindir}/osage
%{_bindir}/patchwork
%{_bindir}/prune
%{_bindir}/sccmap
%{_bindir}/sfdp
%{_bindir}/tred
%{_bindir}/twopi
%{_bindir}/unflatten
%{_bindir}/vimdot
%{_mandir}/man?/*
%exclude %{_mandir}/man1/smyrna.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples/
%{_datadir}/%{name}/graphs/
%{_datadir}/%{name}/gvedit/
%{_datadir}/%{name}/gvpr/
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libgvplugin_core.so.*
%{_libdir}/%{name}/libgvplugin_dot_layout.so.*
%{_libdir}/%{name}/libgvplugin_gdk.so.*
%{_libdir}/%{name}/libgvplugin_gs.so.*
%{_libdir}/%{name}/libgvplugin_kitty.so.*
%{_libdir}/%{name}/libgvplugin_neato_layout.so.*
%{_libdir}/%{name}/libgvplugin_pango.so.*
%{_libdir}/%{name}/libgvplugin_poppler.so.*
%{_libdir}/%{name}/libgvplugin_rsvg.so.*
%{_libdir}/%{name}/libgvplugin_webp.so.*
%{_libdir}/%{name}/libgvplugin_vt.so.*
%{_libdir}/%{name}/libgvplugin_xlib.so.*

#-------------------------------------------------------------------------

%package gd
Summary:		Graphviz plugin for renderers based on gd
Requires:		%{name} = %{version}-%{release}
Requires(post):		dot
Requires(postun):	dot

%description gd
Graphviz plugin for renderers based on gd.  (Unless you absolutely have to use
GIF, you are recommended to use the PNG format instead because of the better
quality anti-aliased lines provided by the cairo+pango based renderer.)

%files gd
%{_libdir}/%{name}/libgvplugin_gd.so.*

#-------------------------------------------------------------------------

%package	doc
Group:		Documentation
Summary:	%{name} documentation
BuildArch:	noarch

%description	doc
The %{name} documentation.

%files doc
%{_docdir}/%{name}/

#-------------------------------------------------------------------------

%package -n	%{lib_cdt}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{lib_cdt}
This package provides the cdt shared library for %{name}.

%files -n %{lib_cdt}
%{_libdir}/libcdt.so.%{cdt_major}{,.*}

#-------------------------------------------------------------------------

%package -n	%{lib_cgraph}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{lib_cgraph}
This package provides the cgraph shared library for %{name}.

%files -n %{lib_cgraph}
%{_libdir}/libcgraph.so.%{cgraph_major}{,.*}

#-------------------------------------------------------------------------

%package -n	%{lib_gvc}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{lib_gvc}
This package provides the gvc shared library for %{name}.

%files -n %{lib_gvc}
%{_libdir}/libgvc.so.%{gvc_major}{,.*}

#-------------------------------------------------------------------------

%package -n	%{lib_gvpr}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{lib_gvpr}
This package provides the gvpr shared library for %{name}.

%files -n %{lib_gvpr}
%{_libdir}/libgvpr.so.%{gvpr_major}{,.*}

#-------------------------------------------------------------------------

%package -n	%{lib_pathplan}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{lib_pathplan}
This package provides the pathplan shared library for %{name}.

%files -n %{lib_pathplan}
%{_libdir}/libpathplan.so.%{pathplan_major}{,.*}

#-------------------------------------------------------------------------

%package -n	%{lib_xdot}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{lib_xdot}
This package provides the xdot shared library for %{name}.

%files -n %{lib_xdot}
%{_libdir}/libxdot.so.%{xdot_major}{,.*}

#-------------------------------------------------------------------------

%package -n	lua-graphviz
Group:		System/Libraries
Summary:	Graphviz bindings for lua
BuildRequires:	pkgconfig(lua)

%description -n	lua-graphviz
This package provides the Lua extension for %{name}.

%files -n lua-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/lua/gv.so
%{_libdir}/graphviz/lua/libgv_lua.so
%{_libdir}/lua/gv.so

#-------------------------------------------------------------------------

%package devil
Summary:		Graphviz plugin for renderers based on DevIL
Requires:		%{name} = %{version}-%{release}
Requires(post):		dot
Requires(postun):	dot

%description devil
Graphviz plugin for renderers based on DevIL. (Unless you absolutely have
to use BMP, TIF, or TGA, you are recommended to use the PNG format instead
supported directly by the cairo+pango based renderer in the base graphviz rpm.)

%files devil
%{_libdir}/graphviz/libgvplugin_devil.so.*

#-------------------------------------------------------------------------

%if %with php
%package  -n	php-graphviz
Group:		System/Libraries
Summary:	Graphviz bindings for php
BuildRequires:	php-devel
BuildRequires:	php-cli

%description -n	php-graphviz
This package provides the PHP extension for %{name}.

%files -n php-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/php
%{_libdir}/php/extensions/gv.so
%{_datadir}/php/gv.php
%endif

#-------------------------------------------------------------------------

%package -n	python3-graphviz
Group:	 	System/Libraries
Summary:	Graphviz bindings for python 3
BuildRequires:	pkgconfig(python3)
Provides:	python-graphviz = %{version}-%{release}

# Manually add provides that would be generated automatically if .egg-info was present
Provides:	python3dist(gv) = %{version}
Provides:	python%{python3_version}dist(gv) = %{version}
# expected by catboost
Provides:	python%{python3_version}dist(grapĥviz) = %{version}

%description -n	python3-graphviz
This package provides the Python 3 extension for %{name}.

%files -n python3-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/python3
%{python3_sitearch}/*

#-------------------------------------------------------------------------

%package -n	ruby-graphviz
Group:	 	System/Libraries
Summary:	Graphviz bindings for ruby
BuildRequires:	pkgconfig(ruby)

%description -n	ruby-graphviz
This package provides the Ruby extension for %{name}.

%files -n ruby-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/ruby
%{ruby_vendorarchdir}/*

#-------------------------------------------------------------------------

%package -n	perl-graphviz
Group:		System/Libraries
Summary:	Graphviz bindings for perl
BuildRequires:	perl-devel

%description -n	perl-graphviz
This package provides the Perl extension for %{name}.

%files -n perl-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/perl
%{perl_vendorarch}/gv.*

#-------------------------------------------------------------------------

%package -n	tcl-graphviz
Group:	 	System/Libraries
Summary:	Graphviz bindings for tcl
BuildRequires:	pkgconfig(tcl) >= 8.3.0
BuildRequires:	pkgconfig(tk) >= 8.3.0
BuildRequires:	tk >= 8.3.0

%description -n tcl-graphviz
This package provides the Tcl extension for %{name}.

%files -n tcl-graphviz
%{_libdir}/tcl*
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/tcl

#-------------------------------------------------------------------------
%if %arch_has_java
%define jdk_path %{_prefix}/lib/jvm/java
%define java_includes %{_includedir}/libgcj

%package -n	java-graphviz
Group:		System/Libraries
Summary:	Graphviz bindings for java
BuildRequires:	java-devel

%description -n	java-graphviz
This package provides the Java extension for %{name}.

%files -n java-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/java
%endif

#-------------------------------------------------------------------------
%if %with libr

%package -n	r-graphviz
Group:		System/Libraries
Summary:	Graphviz bindings for R
BuildRequires:	pkgconfig(libR)

%description -n r-graphviz
This package provides the R extension for %{name}.

%files -n r-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/R
%endif

#-------------------------------------------------------------------------

%package -n	golang-graphviz
Group:		System/Libraries
Summary:	Graphviz bindings for Go
BuildRequires:	golang

%description -n	golang-graphviz
This package provides the go extension for %{name}.

%files -n golang-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/go

#-------------------------------------------------------------------------

%package	smyrna
Summary:	Graphviz interactive graph viewer
Group:		Graphics/Utilities

%description	smyrna
Smyrna is a viewer for graphs in the DOT format.

%files smyrna
%{_bindir}/smyrna
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/smyrna/
%{_mandir}/man1/smyrna.1*

#-------------------------------------------------------------------------

%package -n	%{develname}
Group:		Development/Other
Summary:	Development package for %{name}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_cdt} = %{version}-%{release}
Requires:	%{lib_cgraph} = %{version}-%{release}
Requires:	%{lib_gvc} = %{version}-%{release}
Requires:	%{lib_gvpr} = %{version}-%{release}
Requires:	%{lib_pathplan} = %{version}-%{release}
Requires:	%{lib_xdot} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n	%{develname}
Development package for %{name}.

%files -n %{develname}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/graphviz/*.so
%{_libdir}/*.so
%{_includedir}/graphviz/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

# Attempt to fix rpmlint warnings about executable sources
find -type f -regex '.*\.\(c\|h\)$' -exec chmod a-x {} ';'

# Fix ambiguous python shebang
%py3_shebang_fix .

%build
./autogen.sh
%configure \
	--without-included-ltdl \
	--with-x \
	--disable-static \
%if %with libr
	--enable-r \
%else
	--disable-r \
%endif
	--enable-perl \
%if %with php
	--enable-php \
%else
	--disable-php \
%endif
	--disable-python \
	--disable-python2 \
	--enable-python3 \
	--disable-guile \
	--disable-sharp \
	--with-pangocairo \
	--enable-tcl=yes --with-tclsh=%{_bindir}/tclsh --with-wish=%{_bindir}/wish \
	--with-libgd \
	--disable-io

%make_build TCL_LIBS=-ltcl \
            PYTHON_INCLUDES=`python3-config --includes` \
            PYTHON_LIBS=`python3-config --embed --libs` \
            PYTHON_INSTALL_DIR=%{python3_sitearch} \
            PYTHON=%{__python3}

%install
%make_install docdir=%{_docdir}/%{name} \
	pkgconfigdir=%{_libdir}/pkgconfig

find %{buildroot} -name '*.la' -delete

# Remove executable modes from demos
find %{buildroot}%{_datadir}/%{name}/demo -type f -exec chmod a-x {} ';'

# Move demos to doc
mv %{buildroot}%{_datadir}/%{name}/demo %{buildroot}%{_docdir}/%{name}/

# Rename python demos to prevent byte compilation
find %{buildroot}%{_docdir}/%{name}/demo -type f -name "*.py" -exec mv {} {}.demo ';'

# Remove dot_builtins, on demand loading should be sufficient
rm -f %{buildroot}%{_bindir}/dot_builtins

# Remove metadata from generated PDFs
pushd %{buildroot}%{_docdir}/%{name}
for f in prune gvgen.1 gc.1 dot.1 cluster.1
do
  if [ -f $f.pdf ]
  then
# ugly, but there is probably no better solution
    qpdf --empty --static-id --pages $f.pdf -- $f.pdf.$$
    mv -f $f.pdf.$$ $f.pdf
  fi
done
popd

# Install README
install -m0644 README %{buildroot}%{_docdir}/%{name}

# symlink identical libraries
ln -srf %{buildroot}%{_libdir}/graphviz/ruby/libgv_ruby.so %{buildroot}%{ruby_vendorarchdir}/gv.so
ln -srf %{buildroot}%{_libdir}/graphviz/tcl/* %{buildroot}%{tcl_sitearch}/graphviz/
ln -srf %{buildroot}%{_libdir}/graphviz/python3/libgv_python3.so %{buildroot}%{python3_sitearch}/_gv.so
ln -srf %{buildroot}%{_libdir}/graphviz/perl/libgv_perl.so %{buildroot}%{perl_vendorarch}/gv.so
# ln -srf %%{buildroot}%%{_libdir}/graphviz/lua/libgv_lua.so %%{buildroot}%%{lua_libdir}/gv.so
%if %with php
ln -srf %{buildroot}%{_libdir}/graphviz/php/libgv_php.so %{buildroot}%{_libdir}/php/extensions/gv.so
%endif

%post
%{_bindir}/dot -c

%postun
if ! test -x %{_bindir}/dot; then rm -f %{_libdir}/%{name}/config6; fi

%post devil
%{_bindir}/dot -c 2>/dev/null || :

%postun devil
%{_bindir}/dot -c 2>/dev/null || :

%post gd
%{_bindir}/dot -c 2>/dev/null || :

%postun gd
%{_bindir}/dot -c 2>/dev/null || :



%changelog
* Sun Sep 15 2024 daviddavid <daviddavid> 12.1.1-1.mga10
+ Revision: 2096727
- new version: 12.1.1

* Fri Aug 23 2024 tv <tv> 12.0.0-2.mga10
+ Revision: 2089674
- Rebuild for perl-5.40

* Tue Jul 16 2024 daviddavid <daviddavid> 12.0.0-1.mga10
+ Revision: 2081674
- new version: 12.0.0

* Wed Jun 26 2024 daviddavid <daviddavid> 11.0.0-1.mga10
+ Revision: 2076833
- new version: 11.0.0

* Wed Jun 26 2024 daviddavid <daviddavid> 10.0.1-3.mga10
+ Revision: 2076831
- obsoletes properly graphviz-gtk2

* Tue Jun 25 2024 papoteur <papoteur> 10.0.1-2.mga10
+ Revision: 2076641
- obsoletes graphviz-gtk2
- keep the remaining library in main package

* Wed Mar 27 2024 papoteur <papoteur> 10.0.1-1.mga10
+ Revision: 2052600
- new version 10.0.1
- remove gamut plugin
- remove gtk2 package (upstream)
- remove ocaml package (upstream)

* Fri Jan 05 2024 daviddavid <daviddavid> 9.0.0-4.mga10
+ Revision: 2027672
- rebuild for py3.12

* Tue Dec 05 2023 daviddavid <daviddavid> 9.0.0-3.mga10
+ Revision: 2013183
- rebuild for new perl 5.38.0

* Tue Nov 07 2023 daviddavid <daviddavid> 9.0.0-2.mga10
+ Revision: 2005024
- switch to Qt6

* Tue Nov 07 2023 joequant <joequant> 9.0.0-1.mga10
+ Revision: 2005004
- update to 9.0.0

* Mon Jun 19 2023 daviddavid <daviddavid> 7.0.1-2.mga9
+ Revision: 1962568
- do not use %%exclude macro and prefer to fully detail the files
  list (thus fixes some dangling links)

* Sat Nov 19 2022 joequant <joequant> 7.0.1-1.mga9
+ Revision: 1909107
- update to 7.0.1
+ wally <wally>
- drop old conflicts
- add missing post and postun requires for devil plugin pkg
- add missing conflicts for plugins splitted out

* Mon Oct 03 2022 wally <wally> 6.0.1-2.mga9
+ Revision: 1894369
- fix gd and gtk2 pkg requires
- restore identical lib symlinking and remove unneeded portions added from Fedora
- restore and rediff patch incorrectly removed in r1894322 to fix underlinking correctly

* Mon Oct 03 2022 joequant <joequant> 6.0.1-1.mga9
+ Revision: 1894322
- update to 6.0.1

* Mon Jun 06 2022 umeabot <umeabot> 2.50.0-6.mga9
+ Revision: 1861499
- Rebuild for Perl 5.36

* Thu May 19 2022 pterjan <pterjan> 2.50.0-5.mga9
+ Revision: 1858890
- Rebuild for OCaml 4.14

* Wed Mar 30 2022 umeabot <umeabot> 2.50.0-4.mga9
+ Revision: 1834395
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 2.50.0-3.mga9
+ Revision: 1784561
- Rebuild for Ruby 3.1

* Tue Feb 22 2022 tv <tv> 2.50.0-2.mga9
+ Revision: 1782875
- Rebuild for python-3.10

* Fri Dec 10 2021 joequant <joequant> 2.50.0-1.mga9
+ Revision: 1761324
- update to 2.50.0

* Sat Nov 06 2021 joequant <joequant> 2.49.3-1.mga9
+ Revision: 1754095
- update to 2.49.3

* Fri Oct 15 2021 tv <tv> 2.49.0-2.mga9
+ Revision: 1751663
- Rebuild for ocaml 4.13.1
+ joequant <joequant>
- update to 2.49.0

* Thu Aug 05 2021 luigiwalser <luigiwalser> 2.48.0-1.mga9
+ Revision: 1739605
- rediff patch 0
- 2.48.0

* Sat Jun 19 2021 joequant <joequant> 2.47.2-1.mga9
+ Revision: 1731324
- update to 2.47.2

* Mon May 24 2021 umeabot <umeabot> 2.46.1-4.mga9
+ Revision: 1726365
- Rebuild for perl 5.34

* Sat Apr 03 2021 wally <wally> 2.46.1-3.mga9
+ Revision: 1712901
- rebuild for lua 5.4

* Fri Mar 26 2021 daviddavid <daviddavid> 2.46.1-2.mga9
+ Revision: 1710656
- rebuild for ocaml 4.12.0
+ tv <tv>
- 2.46.1

* Thu Dec 17 2020 luigiwalser <luigiwalser> 2.44.1-2.mga8
+ Revision: 1658623
- disable php build for now
+ umeabot <umeabot>
- Rebuild for new Qt5

* Sun Sep 20 2020 joequant <joequant> 2.44.1-1.mga8
+ Revision: 1628890
- fix build
- fix ghostscript
- fix groff
- fix deps for doc
- add groff to build man
- update graphviz

* Fri Aug 21 2020 umeabot <umeabot> 2.44.0-4.mga8
+ Revision: 1617563
- Rebuild for new ocaml deps generator

* Fri Jul 03 2020 joequant <joequant> 2.44.0-3.mga8
+ Revision: 1601731
- change byacc
- update to gcc10
+ umeabot <umeabot>
- Rebuild for perl 5.32

* Thu Apr 09 2020 daviddavid <daviddavid> 2.44.0-1.mga8
+ Revision: 1565668
- new version: 2.44.0
- remove merged upstream ocaml-allow-const-cast patch
- update Source URL

* Mon Mar 02 2020 pterjan <pterjan> 2.42.2-5.mga8
+ Revision: 1553139
- Rebuild for ruby 2.7

* Fri Feb 28 2020 umeabot <umeabot> 2.42.2-4.mga8
+ Revision: 1551123
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 2.42.2-3.mga8
+ Revision: 1545102
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 2.42.2-2.mga8
+ Revision: 1483798
- rebuild for ocaml-4.10 + switch to lua 5.3
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 03 2020 luigiwalser <luigiwalser> 2.42.2-1.mga8
+ Revision: 1475879
- 2.42.2
- remove upstreamed patches
- add patches from fedora
- update source URL

* Tue Oct 15 2019 ns80 <ns80> 2.40.1-20.mga8
+ Revision: 1453502
- add patch from fedora for CVE-2019-11023 (mga#25563)

* Wed Oct 02 2019 daviddavid <daviddavid> 2.40.1-19.mga8
+ Revision: 1448738
- port to python 3
- drop python2 support

* Wed Aug 28 2019 tmb <tmb> 2.40.1-18.mga8
+ Revision: 1434653
- rebuild for perl 5.30

* Fri Apr 05 2019 wally <wally> 2.40.1-17.mga7
+ Revision: 1385925
- fix docdir require excludes

* Fri Apr 05 2019 daviddavid <daviddavid> 2.40.1-16.mga7
+ Revision: 1385875
- rebuild for arm
- filter out bogus /usr/bin/lua auto-require
+ wally <wally>
- remove unneeded dot_builtins

* Wed Apr 03 2019 wally <wally> 2.40.1-15.mga7
+ Revision: 1385608
- drop unneeded linking patch as the issue is fixed in pango

* Wed Apr 03 2019 wally <wally> 2.40.1-14.mga7
+ Revision: 1385600
- add patches to build with Qt5 and to fix linking

* Tue Oct 23 2018 tv <tv> 2.40.1-13.mga7
+ Revision: 1324019
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 2.40.1-12.mga7
+ Revision: 1323714
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 2.40.1-11.mga7
+ Revision: 1298069
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 2.40.1-10.mga7
+ Revision: 1248512
- rebuild for perl 5.28

* Tue Jun 19 2018 ns80 <ns80> 2.40.1-9.mga7
+ Revision: 1238097
- add patch from fedora for CVE-2018-10196 (mga#23133)

* Tue May 08 2018 daviddavid <daviddavid> 2.40.1-8.mga7
+ Revision: 1227746
- rename python-graphviz to python2-graphviz
+ kekepower <kekepower>
- Fixed Source0 link
+ wally <wally>
- build without java on aarch64

* Tue Feb 06 2018 wally <wally> 2.40.1-7.mga7
+ Revision: 1199275
- fix config file name in postun scriptlet

* Mon Jan 01 2018 wally <wally> 2.40.1-6.mga7
+ Revision: 1188635
- drop php5 patch
- drop old conflicts
- provide dot
+ pterjan <pterjan>
- Rebuild for Ruby 2.5
+ tv <tv>
- rebuild for new ocaml

* Sun Oct 08 2017 wally <wally> 2.40.1-3.mga7
+ Revision: 1170175
- revert provides filtering to make graphviz installable again

* Sun Oct 08 2017 wally <wally> 2.40.1-2.mga7
+ Revision: 1170161
- fix provides excludes

* Sun Oct 08 2017 wally <wally> 2.40.1-1.mga7
+ Revision: 1170156
- new version 2.40.1
- redo linking patch
- drop upstreamed str fmt patch
- add patch to fix build with php5 and current swig
- drop old obsoletes

* Mon Sep 04 2017 pterjan <pterjan> 2.38.0-22.mga7
+ Revision: 1151183
- Rebuild for perl ABI changes
- Rebuild for new Ruby

* Sat Jul 22 2017 neoclust <neoclust> 2.38.0-21.mga7
+ Revision: 1126687
- Rebuild against new Perl 5.26

* Tue Dec 20 2016 daviddavid <daviddavid> 2.38.0-20.mga6
+ Revision: 1076232
- re-enable php-graphviz build: as we have keep in php5

* Mon Nov 28 2016 luigiwalser <luigiwalser> 2.38.0-19.mga6
+ Revision: 1070625
- rebuild for poppler

* Sun Sep 25 2016 pterjan <pterjan> 2.38.0-18.mga6
+ Revision: 1056209
- Rebuild for fix in ocaml

* Sat Aug 13 2016 luigiwalser <luigiwalser> 2.38.0-17.mga6
+ Revision: 1046181
- test rebuild for poppler

* Sat Jun 18 2016 pterjan <pterjan> 2.38.0-16.mga6
+ Revision: 1022139
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 pterjan <pterjan> 2.38.0-15.mga6
+ Revision: 953005
- Rebuild for new ocaml

* Thu Oct 29 2015 ycantin <ycantin> 2.38.0-14.mga6
+ Revision: 896195
- symlink identical libraries

* Tue Oct 27 2015 ycantin <ycantin> 2.38.0-13.mga6
+ Revision: 895889
- rebuild for ruby
- disable php-graphviz build : not php7 compatible for now

* Mon Oct 05 2015 daviddavid <daviddavid> 2.38.0-12.mga6
+ Revision: 886352
- rebuild for new tcl 8.6.4

* Thu Jun 25 2015 sander85 <sander85> 2.38.0-11.mga6
+ Revision: 843424
- Rebuild for perl 5.22

* Mon Feb 16 2015 oden <oden> 2.38.0-10.mga5
+ Revision: 815145
- rebuilt for libgd-2.1.1

* Sun Nov 30 2014 luigiwalser <luigiwalser> 2.38.0-9.mga5
+ Revision: 800077
- rediff upstream patch to fix format string issue (CVE-2014-9157)

* Wed Oct 15 2014 umeabot <umeabot> 2.38.0-8.mga5
+ Revision: 747855
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.38.0-7.mga5
+ Revision: 726407
- rebuild for missing pythoneggs deps

* Wed Sep 24 2014 wally <wally> 2.38.0-6.mga5
+ Revision: 724219
- exclude %%_docdir from auto-requires

* Tue Sep 16 2014 umeabot <umeabot> 2.38.0-5.mga5
+ Revision: 679932
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 luigiwalser <luigiwalser> 2.38.0-4.mga5
+ Revision: 668352
- rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.38.0-3.mga5
+ Revision: 630729
- Rebuild for new perl

* Sat May 31 2014 pterjan <pterjan> 2.38.0-2.mga5
+ Revision: 628239
- Rebuild for new Python

* Sat Apr 26 2014 luigiwalser <luigiwalser> 2.38.0-1.mga5
+ Revision: 618252
- 2.38.0

* Fri Feb 14 2014 luigiwalser <luigiwalser> 2.36.0-1.mga5
+ Revision: 591394
- 2.36.0
- remove upstreamed patches
- correct license tag to EPL

* Fri Jan 10 2014 luigiwalser <luigiwalser> 2.34.0-6.mga4
+ Revision: 566178
- update CVE-2014-0978 patch from fedora to fix CVE-2014-1235
- add patch from fedora to fix CVE-2014-1236

* Wed Jan 08 2014 luigiwalser <luigiwalser> 2.34.0-5.mga4
+ Revision: 565500
- add patch from fedora to fix overflow in yyerror (CVE-2014-0978, rhbz#1049165)

* Mon Oct 28 2013 tv <tv> 2.34.0-4.mga4
+ Revision: 547759
- patch5: update dotty for latest dot format

* Sat Oct 19 2013 umeabot <umeabot> 2.34.0-3.mga4
+ Revision: 535986
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 2.34.0-2.mga4
+ Revision: 482935
- rebuild for ruby 2.0

* Thu Sep 19 2013 luigiwalser <luigiwalser> 2.34.0-1.mga4
+ Revision: 481405
- 2.34.0
- remove upstreamed perl 5.18 fix patch

* Sun Aug 04 2013 fwang <fwang> 2.32.0-3.mga4
+ Revision: 463196
- update file list
- try fixing building with newer perl
- br glut

* Sun Aug 04 2013 fwang <fwang> 2.32.0-2.mga4
+ Revision: 463186
- adjust br

* Sun Aug 04 2013 fwang <fwang> 2.32.0-1.mga4
+ Revision: 463181
- new version 2.32.0

* Mon Jun 03 2013 fwang <fwang> 2.30.1-3.mga4
+ Revision: 435523
- rebuild for new libpng

* Fri May 31 2013 jquelin <jquelin> 2.30.1-2.mga4
+ Revision: 433772
- fixing perl %%files
+ fwang <fwang>
- rebuild for new perl

* Mon May 27 2013 fwang <fwang> 2.30.1-1.mga4
+ Revision: 428579
- update file list
- there is no libgraph
- fix linkage
+ blino <blino>
- now that libgraph is gone, reflect that in libgvc.pc (from Fedora)
- add guile2 patch from Fedora
- drop merged patches
- 2.30.1
+ luigiwalser <luigiwalser>
- 2.30.0

* Sat Jan 12 2013 umeabot <umeabot> 2.28.0-11.mga3
+ Revision: 352580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Mon Nov 05 2012 fwang <fwang> 2.28.0-10.mga3
+ Revision: 314352
- use env rather patch

* Mon Nov 05 2012 fwang <fwang> 2.28.0-9.mga3
+ Revision: 314348
- update tcl link patch
- disable static build

* Mon Nov 05 2012 fwang <fwang> 2.28.0-8.mga3
+ Revision: 314295
- update file list
- correct tclswitch
- enable tcl
- specify tclpath
- br lua5.1
- build with lua
- recognize correct rubydir
- more linkage fix
- fix linkage
- recognize ruby1.9 dir
- use autoreconf
- sync with fedora patches
- rebuild for new ruby
+ ennael <ennael>
- fix Graphics group
- Documentation group
+ kamil <kamil>
- temporarily build against lua 5.1.x
- bump release
- clean .spec

* Wed May 30 2012 jquelin <jquelin> 2.28.0-5.mga3
+ Revision: 250911
- perl 5.16 rebuild

* Wed Dec 28 2011 rtp <rtp> 2.28.0-4.mga2
+ Revision: 188387
- add back arm/mips fix from r39919, which got dropped by commit 115011

* Sun Dec 04 2011 fwang <fwang> 2.28.0-3.mga2
+ Revision: 176242
- real fix on linkage
- more linkage fix
- doc is a non-arch package

* Thu Sep 22 2011 fwang <fwang> 2.28.0-2.mga2
+ Revision: 146604
- fix linkage
- drop .la files

* Tue Jun 28 2011 fwang <fwang> 2.28.0-1.mga2
+ Revision: 115011
- new version 2.28.0

* Sun Jun 12 2011 sander85 <sander85> 2.26.3-8.mga2
+ Revision: 104631
- Rebuild for perl 5.14
+ rtp <rtp>
- disable java on arm/mips

* Wed Jan 19 2011 jquelin <jquelin> 2.26.3-7.mga1
+ Revision: 23789
- rebuild

* Mon Jan 17 2011 misc <misc> 2.26.3-6.mga1
+ Revision: 21544
- rebuilt for python 2.7
- remove versionning of buildRequires that goes back to mandriva 2008.0

* Fri Jan 14 2011 mikala <mikala> 2.26.3-5.mga1
+ Revision: 17946
- imported package graphviz


* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 2.26.3-5mdv2011.0
+ Revision: 593059
- rebuild for py2.7

* Wed Oct 06 2010 Funda Wang <fwang@mandriva.org> 2.26.3-4mdv2011.0
+ Revision: 583389
- rebuild

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.26.3-3mdv2011.0
+ Revision: 564281
- rebuild for perl 5.12.1

* Thu Jul 22 2010 Funda Wang <fwang@mandriva.org> 2.26.3-2mdv2011.0
+ Revision: 557038
- rebuild for perl 5.12

* Mon Feb 01 2010 Frederik Himpe <fhimpe@mandriva.org> 2.26.3-1mdv2010.1
+ Revision: 499306
- Update to new version 2.26.3
- Rediff format errors patch

* Fri Jan 29 2010 Funda Wang <fwang@mandriva.org> 2.26.0-3mdv2010.1
+ Revision: 498072
- rebuild for new ocaml

  + Shlomi Fish <shlomif@mandriva.org>
    - Correct many typos in the descriptions.

* Thu Dec 31 2009 Frederik Himpe <fhimpe@mandriva.org> 2.26.0-2mdv2010.1
+ Revision: 484287
- Add conflicts to library packages, to fix upgrade
- Move obsoletes to one library package instead of graphviz itself,
  because the latter pulls in additional X libraries, which might be
  unwanted

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 2.26.0-1mdv2010.1
+ Revision: 484088
- Update to new version 2.26.0

  + Christophe Fergeau <cfergeau@mandriva.com>
    - move Obsoletes from subpackages up to the main one
      urpmi can't deal with multiple packages obsoleting the same package, so it
      just doesn't do anything instead of upgrading the package to the newer version.
      We need anyway all the subpackages to be installed, so we can put the Obsoletes
      on the main package which drags all the subpackages.

* Wed Nov 18 2009 Oden Eriksson <oeriksson@mandriva.com> 2.24.0-2mdv2010.1
+ Revision: 467303
- force linkage against system libltdl.so.7

* Thu Sep 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.24.0-1mdv2010.0
+ Revision: 437324
- new version

* Thu Sep 10 2009 Helio Chissini de Castro <helio@mandriva.com> 2.22.2-5mdv2010.0
+ Revision: 436955
- Sanitize graphviz package to put proper name in subpackages and keep consistent with the rest of the distro
- Enable java package by default as we have a proper legal java sdk
- Disable R bindings as not working well
- Cleanup spec

* Mon Jun 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.22.2-4mdv2010.0
+ Revision: 390541
- rebuild for latest ocaml

* Fri Mar 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.22.2-3mdv2009.1
+ Revision: 361642
- fix wrong package names in obsoletes tags

* Mon Mar 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.22.2-2mdv2009.1
+ Revision: 360626
- split all libraries in individual subpackages (fix #49025)

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.22.2-1mdv2009.1
+ Revision: 358009
- new version
- drop xdg, linkage, gnomeui, bindings, tcl86 patches, not needed anymore
- update format-strings and system-libtool patches

* Wed Jan 28 2009 Funda Wang <fwang@mandriva.org> 2.20.3-10mdv2009.1
+ Revision: 334877
- use sys ltdl
- add lilnk to bindings
- build our own libtool
- rebuild for new libtool

  + Götz Waschk <waschk@mandriva.org>
    - don't build bundled libltdl

* Fri Jan 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.20.3-9mdv2009.1
+ Revision: 330329
- don't build lua bindings before 2009.0

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 2.20.3-8mdv2009.1
+ Revision: 319256
- rebuild for new ocaml

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 2.20.3-7mdv2009.1
+ Revision: 318548
- fix linkage
- more patches
- fix str fmt
- move python requirement into python subpackage
- fix patch
- rediff gnomeui patch

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 2.20.3-6mdv2009.1
+ Revision: 311074
- fix the patch
- add tcl86.patch (fix build for tcl 8.6)
- rebuild for new tcl

* Sun Nov 30 2008 Anssi Hannula <anssi@mandriva.org> 2.20.3-5mdv2009.1
+ Revision: 308312
- add a conflict on old libpackage due to the file move

* Wed Nov 26 2008 Adam Williamson <awilliamson@mandriva.org> 2.20.3-4mdv2009.1
+ Revision: 307169
- add xdg.patch (use xdg-open rather than firefox for opening urls)
- add gnomeui.patch (drops all gnomeui-related crap, it's useless)

* Wed Nov 26 2008 Adam Williamson <awilliamson@mandriva.org> 2.20.3-3mdv2009.1
+ Revision: 306894
- move the plugin 'libs' to the main package not the lib package (save more
  needless deps for apps that just use the libs)
- drop the libgnomeui br (apparently useless, just adds needless deps)

* Fri Nov 07 2008 Oden Eriksson <oeriksson@mandriva.com> 2.20.3-2mdv2009.1
+ Revision: 300719
- rebuilt against new libxcb

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 2.20.3-1mdv2009.1
+ Revision: 292265
- new version 2.20.3

* Mon Sep 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.20.2-3mdv2009.0
+ Revision: 286648
- drop non-working dependency exception, rpm-mandriva-setup has been fixed
- oops, don't keep duplicated doc files outside of /usr/share/doc

* Thu Sep 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.20.2-2mdv2009.0
+ Revision: 285738
- install doc files under %%_datadir/doc/%%name
- fix lua subpackage file list
- fix doc package dependencies

  + Pixel <pixel@mandriva.com>
    - fix build of dot_static when building with libgts

* Mon Jul 07 2008 Lev Givon <lev@mandriva.org> 2.20.2-1mdv2009.0
+ Revision: 232521
- Update to 2.20.2.
  Remove imageloading patch (no longer needed).

* Thu Jul 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-3mdv2009.0
+ Revision: 230926
- no need to workaround gs-config output anymore
- fix build dependencies
- fix build by allowing underlinking
- do not change dynamic loader configuration, everything under %%{_libdir}/graphviz/ is dlopened (fix #40881)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-2mdv2009.0
+ Revision: 202936
- add patch to fix image rendering in ps output (should fix #40568)

* Mon May 05 2008 Lev Givon <lev@mandriva.org> 2.18-1mdv2009.0
+ Revision: 201440
- Update to 2.18.

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.16.1-2mdv2008.1
+ Revision: 178360
- rebuild

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.16.1-1mdv2008.1
+ Revision: 156330
- new version
  enable ocaml and R bindings

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Lev Givon <lev@mandriva.org>
    - Update to 2.14.1.

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 2.12-6mdv2008.0
+ Revision: 82075
- rebuild for new soname of tk

* Sun Jul 15 2007 Funda Wang <fwang@mandriva.org> 2.12-5mdv2008.0
+ Revision: 52315
- Obsoletes old major

* Wed Jun 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.12-4mdv2008.0
+ Revision: 41846
- new devel library policy
- rebuild for expat


* Mon Mar 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.12-3mdv2007.1
+ Revision: 133388
- Fix group
- Fix group

* Wed Feb 28 2007 Nicholas Brown <nickbrown@mandriva.org> 2.12-2mdv2007.1
+ Revision: 127060
- Fix lib major version and BuildRequires

* Tue Feb 27 2007 Nicholas Brown <nickbrown@mandriva.org> 2.12-1mdv2007.1
+ Revision: 126358
- Version 2.12

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.8-7mdv2007.1
+ Revision: 88684
- Import graphviz

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.8-7mdv2007.1
- fix build

* Mon Aug 14 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8-6
- rebuild for fixed libxaw soname

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.8-4mdk
- Rebuild against latest libXaw.

* Sat May 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.8-4mdk
- spec cleanup
- fix duplicated directories
- move documentation in dedicated place

* Mon Mar 27 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8-3mdk
- fix buildrequires: php4-devel => php-devel, add libltdl-devel

* Fri Mar 24 2006 Sebastien Savarin <plouf@mandriva.org> 2.8-2mdk
- Fix %%changelog

* Mon Mar 13 2006 Helio Chissini de Castro <helio@mandriva.com.br> 2.8-1mdv2007.1
- Update for 2.8
- Recreate bindings packages
- Devel package is now only one

* Thu Aug 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2.1-3mdk
- lib64 & buildrequires fixes

* Mon Aug 01 2005 Couriousous <couriousous@mandriva.org> 2.2.1-2mdk
- Add linker file, thanks Abel Cheung for the sugestion

* Wed May 18 2005 Eskild Hustvedt <eskild@mandriva.org> 2.2.1-1mdk
- %%mkrel
- From Tigrux <tigrux@ximian.com>

* Wed Mar 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2-3mdk
- don't nuke rpath, it is required when building ImageMagick

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2-2mdk
- multiarch, also fix typo in script that fooled check-multiarch-files

* Tue Feb 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2-1mdk
- 2.2
- use the %%configure2_5x macro
- fix pkgconfig location
- fix deps
- fix build on < 10.2 (autogen.sh)
- misc spec file fixes

* Tue Jan 25 2005 Pascal Terjan <pterjan@mandrake.org> 2.0-2mdk
- BuildRequires gd-devel

* Thu Jan 13 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-1mdk 
- new version
- back in official contribs

* Sun Sep 26 2004 Michael Scherer <misc@zarb.org> 1.12-3plf 
- rebuild, fix rpmlint warning

* Wed May 12 2004 Michael Scherer <misc@zarb.org> 1.12-2plf 
- fix plf reason
- fix email contact ( damned bug in rpmbuildupdate )
- fix prefix

* Tue May 11 2004 Michael Scherer <misc@mandrakesoft.com> 1.12-1mdk
- New release 1.12
- rpmbuildupdate aware
- plf reason

